Docs

Platform

GET
/v1/invitations/{token}
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

token*string
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/invitations/string"
{  "kind": "email",  "workspace": {    "id": "ws_It13CUaGEhLLAB87simX0",    "name": "string",    "logoUrl": "http://example.com"  },  "inviter": {    "name": "string",    "image": "http://example.com"  },  "role": "workspace.member",  "expiresAt": "2019-08-24T14:15:22Z",  "state": "active",  "emailHint": "string"}
POST
/v1/user/invitations/{token}/accept
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

token*string
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/user/invitations/string/accept"
{  "outcome": "joined",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "workspaceName": "string",  "role": "workspace.member"}
GET
/v1/workspaces/{id}/invitations
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the workspace.

Matchws_[0-9a-zA-Z]{24}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workspaces/ws_It13CUaGEhLLAB87simX0/invitations"
{  "items": [    {      "id": "winv_DsgltMIFV0GmqtxV5NYTtrknrna",      "email": "user@example.com",      "role": "workspace.member",      "status": "pending",      "deliveryStatus": "pending",      "expiresAt": "2019-08-24T14:15:22Z",      "lastSentAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "inviteUrl": "http://example.com"    }  ]}
POST
/v1/workspaces/{id}/invitations
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the workspace.

Matchws_[0-9a-zA-Z]{24}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/workspaces/ws_It13CUaGEhLLAB87simX0/invitations" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "role": "workspace.member"  }'
{  "id": "winv_DsgltMIFV0GmqtxV5NYTtrknrna",  "email": "user@example.com",  "role": "workspace.member",  "status": "pending",  "deliveryStatus": "pending",  "expiresAt": "2019-08-24T14:15:22Z",  "lastSentAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "inviteUrl": "http://example.com"}
POST
/v1/workspaces/{id}/invitations/{invitationId}/resend
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the workspace.

Matchws_[0-9a-zA-Z]{24}$
invitationId*string
Length1 <= length <= 128

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/workspaces/ws_It13CUaGEhLLAB87simX0/invitations/string/resend"
{  "id": "winv_DsgltMIFV0GmqtxV5NYTtrknrna",  "email": "user@example.com",  "role": "workspace.member",  "status": "pending",  "deliveryStatus": "pending",  "expiresAt": "2019-08-24T14:15:22Z",  "lastSentAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "inviteUrl": "http://example.com"}
DELETE
/v1/workspaces/{id}/invitations/{invitationId}
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the workspace.

Matchws_[0-9a-zA-Z]{24}$
invitationId*string
Length1 <= length <= 128

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/workspaces/ws_It13CUaGEhLLAB87simX0/invitations/string"
Empty
GET
/v1/workspaces/{id}/invite-link
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the workspace.

Matchws_[0-9a-zA-Z]{24}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workspaces/ws_It13CUaGEhLLAB87simX0/invite-link"
{  "id": "wil_RgcthDSZ37rmFLekuItpFS7btjXoYwou1gE4",  "role": "workspace.member",  "expiresAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "useCount": 0,  "lastUsedAt": "2019-08-24T14:15:22Z",  "inviteUrl": "http://example.com"}
DELETE
/v1/workspaces/{id}/invite-link
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the workspace.

Matchws_[0-9a-zA-Z]{24}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

curl -X DELETE "https://example.com/v1/workspaces/ws_It13CUaGEhLLAB87simX0/invite-link"
Empty
PUT
/v1/workspaces/{id}/invite-link
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the workspace.

Matchws_[0-9a-zA-Z]{24}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/workspaces/ws_It13CUaGEhLLAB87simX0/invite-link" \  -H "Content-Type: application/json" \  -d '{    "role": "workspace.member"  }'
{  "id": "wil_RgcthDSZ37rmFLekuItpFS7btjXoYwou1gE4",  "role": "workspace.member",  "expiresAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "useCount": 0,  "lastUsedAt": "2019-08-24T14:15:22Z",  "inviteUrl": "http://example.com"}
GET
/v1/deployment-groups
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100
project?string

Filter by project ID or name.

Lengthlength <= 100
search?string

Search deployment groups by name

include?array<>

Optional fields to include: project

limit?integer

Maximum number of items to return per page

Range1 <= value <= 100
Default20
cursor?string

Cursor for pagination - omit for first page

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/deployment-groups?project=my-project"
{  "items": [    {      "id": "dg_r27ict8c7vcgsumpj90ackf7b",      "name": "prod-us-east-1",      "externalId": "ext_example_01",      "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",      "workspaceId": "ws_It13CUaGEhLLAB87simX0",      "maxDeployments": 100,      "createdAt": "2019-08-24T14:15:22Z",      "project": {        "id": "string",        "name": "string"      }    }  ],  "nextCursor": "string"}
POST
/v1/deployment-groups
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups" \  -H "Content-Type: application/json" \  -d '{    "name": "prod-us-east-1",    "project": "string"  }'
{  "id": "dg_r27ict8c7vcgsumpj90ackf7b",  "name": "prod-us-east-1",  "externalId": "ext_example_01",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "maxDeployments": 100,  "createdAt": "2019-08-24T14:15:22Z"}
PUT
/v1/deployment-groups/by-name
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/deployment-groups/by-name" \  -H "Content-Type: application/json" \  -d '{    "name": "prod-us-east-1",    "project": "string"  }'
{  "id": "dg_r27ict8c7vcgsumpj90ackf7b",  "name": "prod-us-east-1",  "externalId": "ext_example_01",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "maxDeployments": 100,  "createdAt": "2019-08-24T14:15:22Z"}
GET
/v1/deployment-groups/by-external-id
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100
project?string

Project ID or name. Optional for project-scoped API keys.

Lengthlength <= 100
externalId*string

Case-sensitive, URL- and header-safe identifier from the integrating application.

Match^[A-Za-z0-9][A-Za-z0-9._~-]*$
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployment-groups/by-external-id?externalId=ext_example_01"
{  "id": "dg_r27ict8c7vcgsumpj90ackf7b",  "name": "prod-us-east-1",  "externalId": "ext_example_01",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "maxDeployments": 100,  "createdAt": "2019-08-24T14:15:22Z"}
PUT
/v1/deployment-groups/by-external-id
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/deployment-groups/by-external-id" \  -H "Content-Type: application/json" \  -d '{    "externalId": "ext_example_01",    "name": "prod-us-east-1",    "project": "string"  }'
{  "id": "dg_r27ict8c7vcgsumpj90ackf7b",  "name": "prod-us-east-1",  "externalId": "ext_example_01",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "maxDeployments": 100,  "createdAt": "2019-08-24T14:15:22Z"}
GET
/v1/deployment-groups/{id}
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100
include?array<>

Optional fields to include: project

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b"
{  "id": "dg_r27ict8c7vcgsumpj90ackf7b",  "name": "prod-us-east-1",  "externalId": "ext_example_01",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "maxDeployments": 100,  "createdAt": "2019-08-24T14:15:22Z",  "project": {    "id": "string",    "name": "string"  },  "deploymentCount": 0}
PATCH
/v1/deployment-groups/{id}
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "dg_r27ict8c7vcgsumpj90ackf7b",  "name": "prod-us-east-1",  "externalId": "ext_example_01",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "maxDeployments": 100,  "createdAt": "2019-08-24T14:15:22Z"}
DELETE
/v1/deployment-groups/{id}
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b"
Empty
PUT
/v1/deployment-groups/{id}/external-id
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/external-id" \  -H "Content-Type: application/json" \  -d '{    "externalId": "ext_example_01"  }'
{  "id": "dg_r27ict8c7vcgsumpj90ackf7b",  "name": "prod-us-east-1",  "externalId": "ext_example_01",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "maxDeployments": 100,  "createdAt": "2019-08-24T14:15:22Z"}
POST
/v1/deployment-groups/{id}/tokens

Creates a deployment-group scoped API key and returns both the token and formatted deployment link

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/tokens" \  -H "Content-Type: application/json" \  -d '{    "deploymentSetupConfig": {      "metadata": {        "property1": null,        "property2": null      },      "policy": {        "allowedPlatforms": [          "aws"        ],        "allowedSetupMethods": [          "cloudformation"        ]      },      "environmentVariables": [        {          "name": "string",          "value": "string",          "type": "plain",          "targetResources": [            "string"          ]        }      ]    }  }'
{  "token": "string",  "deploymentLink": "string"}
POST
/v1/deployment-groups/{id}/first-party-session

Mints a short-lived deployment-group token with the recommended self-deploy policy for the authenticated developer.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/first-party-session"
{  "token": "string"}
GET
/v1/deployment-groups/{id}/ai/external
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external"
{  "binding": {    "id": "string",    "provider": "anthropic",    "providerEndpoint": "string",    "providerClientId": "string",    "keyFingerprint": "string",    "credentialRevision": 1,    "credentialStatus": "pending",    "credentialCheckedAt": "2019-08-24T14:15:22Z",    "catalogProviderModelIds": [      "string"    ],    "catalogObservedAt": "2019-08-24T14:15:22Z",    "requiredModelCoverage": [      {        "publicModelId": "string",        "available": true,        "accessStatus": "verified",        "accessObservedAt": "2019-08-24T14:15:22Z"      }    ],    "updatedAt": "2019-08-24T14:15:22Z"  }}
DELETE
/v1/deployment-groups/{id}/ai/external
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external"
Empty
PUT
/v1/deployment-groups/{id}/ai/external
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external" \  -H "Content-Type: application/json" \  -d '{    "provider": "anthropic",    "apiKey": "string",    "acknowledgeAlienCredentialAccess": true  }'
{  "id": "string",  "provider": "anthropic",  "providerEndpoint": "string",  "providerClientId": "string",  "keyFingerprint": "string",  "credentialRevision": 1,  "credentialStatus": "pending",  "credentialCheckedAt": "2019-08-24T14:15:22Z",  "catalogProviderModelIds": [    "string"  ],  "catalogObservedAt": "2019-08-24T14:15:22Z",  "requiredModelCoverage": [    {      "publicModelId": "string",      "available": true,      "accessStatus": "verified",      "accessObservedAt": "2019-08-24T14:15:22Z"    }  ],  "updatedAt": "2019-08-24T14:15:22Z"}
POST
/v1/deployment-groups/{id}/ai/external/models/{publicModelId}/checks
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$
publicModelId*string
Length1 <= length <= 256

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external/models/string/checks"
{  "id": "string",  "publicModel": "string",  "status": "pending",  "blockerCode": "string",  "error": null,  "requestedAt": "2019-08-24T14:15:22Z",  "completedAt": "2019-08-24T14:15:22Z"}
GET
/v1/deployment-groups/{id}/ai/external/model-checks/{checkId}
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$
checkId*string

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external/model-checks/string"
{  "id": "string",  "publicModel": "string",  "status": "pending",  "blockerCode": "string",  "error": null,  "requestedAt": "2019-08-24T14:15:22Z",  "completedAt": "2019-08-24T14:15:22Z"}
GET
/v1/deployment-groups/{id}/container-registry
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry"
{  "route": {    "id": "crroute_c9t4xoy7fmiq7equtu20",    "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc",    "managerId": "string",    "resourceId": "string",    "resourceRevision": "string",    "desiredRevision": 0,    "appliedRevision": 0,    "status": "resolving",    "lastVerifiedAt": "2019-08-24T14:15:22Z",    "lastError": "string"  },  "endpoint": {    "url": "http://example.com",    "source": "runtime"  },  "repositories": [    {      "id": "crrepo_625temdq3bnu25jw9rcux",      "logicalName": "string",      "desiredState": "present",      "status": "pending",      "verifiedAt": "2019-08-24T14:15:22Z"    }  ],  "credentials": [    {      "id": "crcred_oz1xjr82f37j17g4gtmyu",      "label": "string",      "scope": "pull",      "repositorySubset": [        "string"      ],      "expiresAt": "2019-08-24T14:15:22Z",      "lastUsedAt": "2019-08-24T14:15:22Z",      "revokedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}
PUT
/v1/deployment-groups/{id}/container-registry
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry" \  -H "Content-Type: application/json" \  -d '{    "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc",    "resourceId": "string"  }'
{  "id": "crroute_c9t4xoy7fmiq7equtu20",  "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc",  "managerId": "string",  "resourceId": "string",  "resourceRevision": "string",  "desiredRevision": 0,  "appliedRevision": 0,  "status": "resolving",  "lastVerifiedAt": "2019-08-24T14:15:22Z",  "lastError": "string"}
POST
/v1/deployment-groups/{id}/container-registry/repositories
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/repositories" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "crrepo_625temdq3bnu25jw9rcux",  "logicalName": "string",  "desiredState": "present",  "status": "pending",  "verifiedAt": "2019-08-24T14:15:22Z"}
POST
/v1/deployment-groups/{id}/container-registry/credentials
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/credentials" \  -H "Content-Type: application/json" \  -d '{    "label": "string",    "scope": "pull"  }'
{  "credential": {    "id": "crcred_oz1xjr82f37j17g4gtmyu",    "label": "string",    "scope": "pull",    "repositorySubset": [      "string"    ],    "expiresAt": "2019-08-24T14:15:22Z",    "lastUsedAt": "2019-08-24T14:15:22Z",    "revokedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z"  },  "username": "alien",  "password": "string"}
DELETE
/v1/deployment-groups/{id}/container-registry/credentials/{credentialId}
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$
credentialId*string

Unique identifier for the container registry credential.

Matchcrcred_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/credentials/crcred_oz1xjr82f37j17g4gtmyu"
Empty
DELETE
/v1/deployment-groups/{id}/container-registry/repositories/{repositoryId}
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$
repositoryId*string

Unique identifier for the container registry repository.

Matchcrrepo_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/repositories/crrepo_625temdq3bnu25jw9rcux" \  -H "Content-Type: application/json" \  -d '{    "confirmName": "string",    "disposition": "preserve"  }'
{  "id": "crrepo_625temdq3bnu25jw9rcux",  "logicalName": "string",  "desiredState": "present",  "status": "pending",  "verifiedAt": "2019-08-24T14:15:22Z"}
POST
/v1/deployment-groups/{id}/container-registry/verify
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/verify"
{  "id": "crroute_c9t4xoy7fmiq7equtu20",  "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc",  "managerId": "string",  "resourceId": "string",  "resourceRevision": "string",  "desiredRevision": 0,  "appliedRevision": 0,  "status": "resolving",  "lastVerifiedAt": "2019-08-24T14:15:22Z",  "lastError": "string"}
POST
/v1/deployment-groups/{id}/container-registry/revoke
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/revoke"
{  "id": "crroute_c9t4xoy7fmiq7equtu20",  "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc",  "managerId": "string",  "resourceId": "string",  "resourceRevision": "string",  "desiredRevision": 0,  "appliedRevision": 0,  "status": "resolving",  "lastVerifiedAt": "2019-08-24T14:15:22Z",  "lastError": "string"}
GET
/v1/managers/{id}/container-registry/snapshot
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/managers/string/container-registry/snapshot"
{  "generatedAt": "2019-08-24T14:15:22Z",  "routes": [    {      "id": "crroute_c9t4xoy7fmiq7equtu20",      "deploymentId": "string",      "resourceId": "string",      "resourceRevision": "string",      "desiredRevision": 0,      "appliedRevision": 0,      "status": "resolving",      "repositories": [        {          "id": "crrepo_625temdq3bnu25jw9rcux",          "logicalName": "string",          "desiredState": "present",          "routableUpstreamName": "string",          "remoteResourceRevision": "string"        }      ],      "credentials": [        {          "id": "crcred_oz1xjr82f37j17g4gtmyu",          "secretPrefix": "string",          "secretDigest": "string",          "scope": "pull",          "repositorySubset": [            "string"          ],          "expiresAt": "2019-08-24T14:15:22Z",          "revokedAt": "2019-08-24T14:15:22Z"        }      ]    }  ]}
POST
/v1/managers/{id}/container-registry/applied
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/managers/string/container-registry/applied" \  -H "Content-Type: application/json" \  -d '{    "routeId": "crroute_c9t4xoy7fmiq7equtu20",    "desiredRevision": 0,    "repositories": [      {        "id": "crrepo_625temdq3bnu25jw9rcux",        "status": "ready",        "routableUpstreamName": "string",        "error": "string"      }    ],    "verification": {      "succeeded": true,      "observedAt": "2019-08-24T14:15:22Z",      "error": "string"    }  }'
{  "appliedRevision": 0,  "status": "applying"}
POST
/v1/operator-manifests/prepare
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/operator-manifests/prepare" \  -H "Content-Type: application/json" \  -d '{    "project": "string"  }'
{  "package": {    "id": "pkg_jebo2o5jmm7raefl2m1pe3cz",    "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",    "workspaceId": "ws_It13CUaGEhLLAB87simX0",    "type": "cli",    "status": "pending",    "version": "string",    "sourceReleaseId": "rel_WbhQgksrawSKIpEN0NAssHX9",    "setupFingerprints": {      "property1": {        "target": "string",        "fingerprint": "string",        "version": 1      },      "property2": {        "target": "string",        "fingerprint": "string",        "version": 1      }    },    "packageBuildInputHash": "string",    "config": {      "binaryTargets": [        "windows-x64"      ],      "displayName": "string",      "name": "string",      "type": "cli"    },    "outputs": {      "binaries": {        "property1": {          "sha256": "string",          "size": 0,          "url": "string"        },        "property2": {          "sha256": "string",          "size": 0,          "url": "string"        }      },      "buildInfo": {        "alienSha": "string",        "horizonSha": "string",        "machineBundleManifestUrl": "string",        "platformSha": "string",        "sourceAgentBinarySha256": "string",        "sourceCliBinarySha256": "string"      },      "type": "cli"    },    "error": null,    "sourceBinarySha256": "string",    "retries": 0,    "lockedAt": "2019-08-24T14:15:22Z",    "lockedBy": "string",    "leaseExpiresAt": "2019-08-24T14:15:22Z",    "buildPhase": "building",    "lastProgressAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "completedAt": "2019-08-24T14:15:22Z"  }}
POST
/v1/operator-manifests/render
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.

Match^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/operator-manifests/render" \  -H "Content-Type: application/json" \  -d '{    "project": "string",    "deploymentGroupToken": "string"  }'
{  "manifest": "string",  "applyCommand": "string",  "filename": "string",  "managerUrl": "http://example.com",  "imagePending": true}
GET
/v1/access-requests/pending

Operator-facing: the queued access requests for a deployment, for the access-request sync loop to materialize as grant CRs.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

deploymentId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/access-requests/pending?deploymentId=string"
{  "requests": [    {      "id": "string",      "title": "string",      "reason": "string",      "commands": [        {          "command": "kubernetes/get-pods",          "summary": "List pods in the ingestion namespace"        }      ]    }  ]}
POST
/v1/access-requests/materialized

Operator-facing: record the namespace + CRD plural the operator materialized the grant CRs in, so the control plane can render the customer's exact kubectl approve command.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/access-requests/materialized" \  -H "Content-Type: application/json" \  -d '{    "deploymentId": "string",    "requestIds": [      "string"    ],    "namespace": "string",    "resourcePlural": "string"  }'
{  "recorded": 0}
POST
/v1/access-requests/approvals

Operator-facing: record the customer's approval windows reported back by the sync loop. Moves each request to customer-approved and resumes the investigation to dispatch commands.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/access-requests/approvals" \  -H "Content-Type: application/json" \  -d '{    "deploymentId": "string",    "approvals": [      {        "requestId": "string",        "approvedUntil": "string"      }    ]  }'
{  "recorded": 0}
GET
/v1/aws-virtual-keys
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

project*string

Filter by project ID or name.

Lengthlength <= 100

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/aws-virtual-keys?project=my-project"
{  "virtualKeys": [    {      "id": "vkey_0p9nwqgtftugsoey99lqyqq",      "projectId": "string",      "status": "provisioning",      "externalKeyId": "string",      "awsAccountId": "string",      "awsRegion": "string",      "customKeyStoreId": "string",      "kmsKeyArn": "string",      "alias": "string",      "description": "string",      "deletionWindowDays": 0,      "tags": {        "property1": "string",        "property2": "string"      },      "observedAt": "2019-08-24T14:15:22Z",      "canaryPassedAt": "2019-08-24T14:15:22Z",      "deletionScheduledAt": "2019-08-24T14:15:22Z",      "finalDeletionObservedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
POST
/v1/aws-virtual-keys
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/aws-virtual-keys" \  -H "Content-Type: application/json" \  -d '{    "selector": {      "externalId": "ext_example_01"    },    "awsAccountId": "string",    "awsRegion": "string",    "idempotencyKey": "string"  }'
{  "virtualKey": {    "id": "vkey_0p9nwqgtftugsoey99lqyqq",    "projectId": "string",    "status": "provisioning",    "externalKeyId": "string",    "awsAccountId": "string",    "awsRegion": "string",    "customKeyStoreId": "string",    "kmsKeyArn": "string",    "alias": "string",    "description": "string",    "deletionWindowDays": 0,    "tags": {      "property1": "string",      "property2": "string"    },    "observedAt": "2019-08-24T14:15:22Z",    "canaryPassedAt": "2019-08-24T14:15:22Z",    "deletionScheduledAt": "2019-08-24T14:15:22Z",    "finalDeletionObservedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "setup": {    "proxyUriEndpoint": "http://example.com",    "proxyUriPath": "string",    "accessKeyId": "string",    "secretAccessKey": "string",    "externalKeyId": "string"  }}
POST
/v1/aws-virtual-keys/{id}/rotate-credential
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the aws virtual key.

Matchvkey_[0-9a-z]{28}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/aws-virtual-keys/vkey_0p9nwqgtftugsoey99lqyqq/rotate-credential" \  -H "Content-Type: application/json" \  -d '{    "generation": 2  }'
{  "virtualKey": {    "id": "vkey_0p9nwqgtftugsoey99lqyqq",    "projectId": "string",    "status": "provisioning",    "externalKeyId": "string",    "awsAccountId": "string",    "awsRegion": "string",    "customKeyStoreId": "string",    "kmsKeyArn": "string",    "alias": "string",    "description": "string",    "deletionWindowDays": 0,    "tags": {      "property1": "string",      "property2": "string"    },    "observedAt": "2019-08-24T14:15:22Z",    "canaryPassedAt": "2019-08-24T14:15:22Z",    "deletionScheduledAt": "2019-08-24T14:15:22Z",    "finalDeletionObservedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "setup": {    "proxyUriEndpoint": "http://example.com",    "proxyUriPath": "string",    "accessKeyId": "string",    "secretAccessKey": "string",    "externalKeyId": "string"  }}
POST
/v1/aws-virtual-keys/{id}/restore
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the aws virtual key.

Matchvkey_[0-9a-z]{28}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/aws-virtual-keys/vkey_0p9nwqgtftugsoey99lqyqq/restore" \  -H "Content-Type: application/json" \  -d '{    "kmsKeyArn": "string"  }'
{  "id": "vkey_0p9nwqgtftugsoey99lqyqq",  "projectId": "string",  "status": "provisioning",  "externalKeyId": "string",  "awsAccountId": "string",  "awsRegion": "string",  "customKeyStoreId": "string",  "kmsKeyArn": "string",  "alias": "string",  "description": "string",  "deletionWindowDays": 0,  "tags": {    "property1": "string",    "property2": "string"  },  "observedAt": "2019-08-24T14:15:22Z",  "canaryPassedAt": "2019-08-24T14:15:22Z",  "deletionScheduledAt": "2019-08-24T14:15:22Z",  "finalDeletionObservedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
POST
/v1/aws-virtual-keys/{id}/finalize-deletion
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the aws virtual key.

Matchvkey_[0-9a-z]{28}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/aws-virtual-keys/vkey_0p9nwqgtftugsoey99lqyqq/finalize-deletion" \  -H "Content-Type: application/json" \  -d '{    "kmsKeyArn": "string"  }'
{  "id": "vkey_0p9nwqgtftugsoey99lqyqq",  "projectId": "string",  "status": "provisioning",  "externalKeyId": "string",  "awsAccountId": "string",  "awsRegion": "string",  "customKeyStoreId": "string",  "kmsKeyArn": "string",  "alias": "string",  "description": "string",  "deletionWindowDays": 0,  "tags": {    "property1": "string",    "property2": "string"  },  "observedAt": "2019-08-24T14:15:22Z",  "canaryPassedAt": "2019-08-24T14:15:22Z",  "deletionScheduledAt": "2019-08-24T14:15:22Z",  "finalDeletionObservedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
POST
/v1/aws-virtual-keys/{id}/decommission
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the aws virtual key.

Matchvkey_[0-9a-z]{28}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/aws-virtual-keys/vkey_0p9nwqgtftugsoey99lqyqq/decommission" \  -H "Content-Type: application/json" \  -d '{    "kmsKeyArn": "string",    "deletionScheduledAt": "2019-08-24T14:15:22Z"  }'
{  "id": "vkey_0p9nwqgtftugsoey99lqyqq",  "projectId": "string",  "status": "provisioning",  "externalKeyId": "string",  "awsAccountId": "string",  "awsRegion": "string",  "customKeyStoreId": "string",  "kmsKeyArn": "string",  "alias": "string",  "description": "string",  "deletionWindowDays": 0,  "tags": {    "property1": "string",    "property2": "string"  },  "observedAt": "2019-08-24T14:15:22Z",  "canaryPassedAt": "2019-08-24T14:15:22Z",  "deletionScheduledAt": "2019-08-24T14:15:22Z",  "finalDeletionObservedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
GET
/v1/aws-virtual-keys/{id}
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the aws virtual key.

Matchvkey_[0-9a-z]{28}$

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/aws-virtual-keys/vkey_0p9nwqgtftugsoey99lqyqq"
{  "id": "vkey_0p9nwqgtftugsoey99lqyqq",  "projectId": "string",  "status": "provisioning",  "externalKeyId": "string",  "awsAccountId": "string",  "awsRegion": "string",  "customKeyStoreId": "string",  "kmsKeyArn": "string",  "alias": "string",  "description": "string",  "deletionWindowDays": 0,  "tags": {    "property1": "string",    "property2": "string"  },  "observedAt": "2019-08-24T14:15:22Z",  "canaryPassedAt": "2019-08-24T14:15:22Z",  "deletionScheduledAt": "2019-08-24T14:15:22Z",  "finalDeletionObservedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}
POST
/v1/aws-virtual-keys/{id}/continue
AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the aws virtual key.

Matchvkey_[0-9a-z]{28}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/aws-virtual-keys/vkey_0p9nwqgtftugsoey99lqyqq/continue" \  -H "Content-Type: application/json" \  -d '{    "customKeyStoreId": "string",    "kmsKeyArn": "string"  }'
{  "id": "vkey_0p9nwqgtftugsoey99lqyqq",  "projectId": "string",  "status": "provisioning",  "externalKeyId": "string",  "awsAccountId": "string",  "awsRegion": "string",  "customKeyStoreId": "string",  "kmsKeyArn": "string",  "alias": "string",  "description": "string",  "deletionWindowDays": 0,  "tags": {    "property1": "string",    "property2": "string"  },  "observedAt": "2019-08-24T14:15:22Z",  "canaryPassedAt": "2019-08-24T14:15:22Z",  "deletionScheduledAt": "2019-08-24T14:15:22Z",  "finalDeletionObservedAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}